London Life

Site Help

Adobe Acrobat Reader

Some sections of this site require Adobe Acrobat 5.0 or higher, and some forms on this site require Adobe Acrobat XI. If you don’t have Adobe Acrobat Reader or need to upgrade your version of it, you can download it for free from the Adobe website.

Adobe Flash

Some sections of this website require Adobe Flash. If you don’t have Adobe Flash, you can download it for free from their website.

Still having trouble?

This website is compatible with and has been tested with the most current versions of common web browsers. If you have trouble viewing the site, contact the webmaster.

If you can’t find the information you’re looking for, or if you’re having other problems using the site:

Our linking policy

If you’d like to link to any part of our website from your website contact our webmaster.

Contact Us

Interested in finding out more about London Life and the products and financial security planning services we offer? Contact us.

Client Service

Contact Client Service if you already have one of the products or services we offer and you need help.